Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/pbl_surface_mod.F90	(revision 5082)
@@ -1561,5 +1561,5 @@
    ENDDO
 ! >> PC
-   IF (carbon_cycle_cpl .AND. carbon_cycle_tr .AND. nbcf_out.GT.0 ) THEN
+   IF (carbon_cycle_cpl .AND. carbon_cycle_tr .AND. nbcf_out>0 ) THEN
        r_co2_ppm(:) = co2_send(:)
        DO n=1,nbcf_out
@@ -1567,5 +1567,5 @@
        ENDDO
    ENDIF
-   IF ( .NOT. carbon_cycle_tr .AND. nbcf_out.GT.0 ) THEN
+   IF ( .NOT. carbon_cycle_tr .AND. nbcf_out>0 ) THEN
        r_co2_ppm(:) = co2_ppm     ! Constant field
        DO n=1,nbcf_out
@@ -1633,8 +1633,8 @@
 !jyg<    (20190926)
 !   Provisional : set ybeta to standard values
-       IF (nsrf .NE. is_ter) THEN
+       IF (nsrf /= is_ter) THEN
            ybeta(1:knon) = 1.
        ELSE
-           IF (iflag_split .EQ. 0) THEN
+           IF (iflag_split == 0) THEN
               ybeta(1:knon) = 1.
            ELSE
@@ -1768,5 +1768,5 @@
         ENDDO
 !
-       IF (iflag_split.GE.1) THEN
+       IF (iflag_split>=1) THEN
 !!! nrlmd le 02/05/2011
         DO k = 1, klev
@@ -1791,5 +1791,5 @@
         ENDDO
 
-        IF (prt_level .ge. 10) THEN
+        IF (prt_level >= 10) THEN
           print *,'pbl_surface, wake_s(1), wake_dlt(1,:) ', wake_s(1), wake_dlt(1,:)
           print *,'pbl_surface, wake_s(1), wake_dlq(1,:) ', wake_s(1), wake_dlq(1,:)
@@ -1839,5 +1839,5 @@
        
        ! qsol(water height in soil) only for bucket continental model
-       IF ( nsrf .EQ. is_ter .AND. .NOT. ok_veget ) THEN 
+       IF ( nsrf == is_ter .AND. .NOT. ok_veget ) THEN
           DO j = 1, knon
              i = ni(j)
@@ -1871,5 +1871,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!!
 !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
@@ -1980,5 +1980,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
       IF (prt_level >=10) THEN
@@ -2133,5 +2133,5 @@
 ! - Calculate the coefficients Ccoef_H, Ccoef_Q, Dcoef_H and Dcoef_Q 
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!!
 !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
@@ -2191,5 +2191,5 @@
 ! - Calculate the coefficients Ccoef_U, Ccoef_V, Dcoef_U and Dcoef_V
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
         CALL climb_wind_down(knon, dtime, ycoefm, ypplay, ypaprs, yt, ydelp, yu, yv, &
@@ -2256,5 +2256,5 @@
 !!! jyg le 07/02/2012
 !!! jyg le 01/02/2017
-       IF (iflag_split .eq. 0) THEN
+       IF (iflag_split == 0) THEN
          yt1(:) = yt(:,1)
          yq1(:) = yq(:,1)
@@ -2263,5 +2263,5 @@
 #endif
 
-       ELSE IF (iflag_split .ge. 1) THEN
+       ELSE IF (iflag_split >= 1) THEN
 #ifdef ISO
         call abort_gcm('pbl_surface_mod 2149','isos pas encore dans iflag_split=1',1)
@@ -2279,5 +2279,5 @@
     !******************************************************************************
 !
-    IF ( f_z0qh_oce .ne. 1. .and. nsrf .eq.is_oce) THEN
+    IF ( f_z0qh_oce /= 1. .and. nsrf ==is_oce) THEN
        ! Si on suit les formulations par exemple de Tessel, on 
        ! a z0h=0.4*nu/u*, z0q=0.62*nu/u*, d'ou f_z0qh_oce=0.62/0.4=1.55
@@ -2332,5 +2332,5 @@
                          yt1, yq1, yu1, yv1 &
                          )
-         IF (iflag_split .eq. 2 .AND. nsrf .ne. is_oce) THEN
+         IF (iflag_split == 2 .AND. nsrf /= is_oce) THEN
            CALL wx_pbl_dts_merge(knon, dtime, ypplay, ypaprs, &
                            ywake_s, ybeta, ywake_cstar, ywake_dens, &
@@ -2439,5 +2439,5 @@
 !FC quid qd yveget ylai yheight ne sont pas definit
 !FC  yveget,ylai,yheight, &
-            IF (ifl_pbltree .ge. 1) THEN
+            IF (ifl_pbltree >= 1) THEN
               CALL   freinage(knon, yu, yv, yt, &
 !                yveget,ylai, yheight,ypaprs,ypplay,y_d_u_frein,y_d_v_frein)
@@ -2491,5 +2491,5 @@
           ! Martin
 
-          IF (landice_opt .LT. 2) THEN
+          IF (landice_opt < 2) THEN
              ! Land ice is treated by LMDZ and not by ORCHIDEE
              CALL surf_landice(itap, dtime, knon, ni, &
@@ -2742,5 +2742,5 @@
 ! ------------------------------------------------------------------------------
 
-       IF (iflag_split .GE. 1) THEN
+       IF (iflag_split >= 1) THEN
 #ifdef ISO
         call abort_gcm('pbl_surface_mod 2607','isos pas encore dans iflag_split=1',1)
@@ -2748,5 +2748,5 @@
 !
 !
-         IF (nsrf .ne. is_oce) THEN
+         IF (nsrf /= is_oce) THEN
 !
 !         Compute potential evaporation and aridity factor  (jyg, 20200328)
@@ -2790,5 +2790,5 @@
                           yt1, yq1, yu1, yv1 &
                           )
-          IF (iflag_split .eq. 2) THEN
+          IF (iflag_split == 2) THEN
             CALL wx_pbl_dts_merge(knon, dtime, ypplay, ypaprs, &
                             ywake_s, ybeta, ywake_cstar, ywake_dens, &
@@ -2859,5 +2859,5 @@
                        y_flux_q1_x, y_flux_q1_w)
 !
-         IF (nsrf .ne. is_oce) THEN
+         IF (nsrf /= is_oce) THEN
            CALL wx_pbl_dts_check(knon, dtime, ypplay, ypaprs, ywake_s, ybeta, iflag_split, &
                          yTs, y_delta_tsurf,  & 
@@ -2931,5 +2931,5 @@
 !!jyg!!!!! fin nrlmd le 13/06/2011
 !!jyg!!
-       IF (iflag_split .ge. 1) THEN
+       IF (iflag_split >= 1) THEN
        IF (prt_level >=10) THEN
         DO j = 1, knon
@@ -2954,5 +2954,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!!
 !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
@@ -3006,5 +3006,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!!
 !!! nrlmd & jyg les 02/05/2011, 13/06/2011, 05/02/2012
@@ -3092,5 +3092,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split.EQ.0) THEN
+       IF (iflag_split==0) THEN
 !!!
         DO k = 1, klev
@@ -3103,5 +3103,5 @@
              y_d_v(j,k)  = y_d_v(j,k) * ypct(j)
 !FC
-             IF  (nsrf .EQ. is_ter .and. ifl_pbltree .GE. 1) THEN
+             IF  (nsrf == is_ter .and. ifl_pbltree >= 1) THEN
 !            if (y_d_u_frein(j,k).ne.0. ) then
 !        print*, nsrf,'IS_TER ++', y_d_u_frein(j,k)*ypct(j),y_d_u(j,k),j,k
@@ -3286,5 +3286,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split .ge.1) THEN
+       IF (iflag_split >=1) THEN
 !!!
 !!! nrlmd le 02/05/2011
@@ -3333,5 +3333,5 @@
 !!        ENDDO
 !!!
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
         wake_dltke(:,:,nsrf) = 0.
         DO k = 1, klev+1
@@ -3381,5 +3381,5 @@
 !      print*,'Dans pbl OK3'
 
-       IF ( nsrf .EQ. is_ter ) THEN 
+       IF ( nsrf == is_ter ) THEN
           DO j = 1, knon
              i = ni(j)
@@ -3423,5 +3423,5 @@
 #endif
 !!! jyg le 07/02/2012
-       IF (iflag_split .ge.1) THEN
+       IF (iflag_split >=1) THEN
 !!!
 !!! nrlmd+jyg le 02/05/2011 et le 20/02/2012
@@ -3555,5 +3555,5 @@
 !      print*, tair1,yt(:,1),y_d_t(:,1)
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
         DO j=1, knon
           uzon(j) = yu(j,1) + y_d_u(j,1)
@@ -3614,5 +3614,5 @@
 ! Calculate the temperature and relative humidity at 2m and the wind at 10m 
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
         IF (iflag_new_t2mq2m==1) THEN
            CALL stdlevvarn(klon, knon, nsrf, zxli, &
@@ -3653,5 +3653,5 @@
 !!!
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
         DO j=1, knon
           i = ni(j)
@@ -3710,5 +3710,5 @@
        IF (thermcep) THEN
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
           DO j = 1, knon
              i=ni(j)
@@ -3758,5 +3758,5 @@
 !
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
         CALL hbtm(knon, ypaprs, ypplay, &
             yt2m,yt10m,yq2m,yq10m,yustar,ywstar, &
@@ -3806,5 +3806,5 @@
        
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
 !!!
         DO j=1, knon
@@ -3928,5 +3928,5 @@
 
 !!! jyg le 07/02/2012
-       IF (iflag_split .ge.1) THEN
+       IF (iflag_split >=1) THEN
 !!!
 !!! nrlmd & jyg les 02/05/2011, 05/02/2012
@@ -4059,5 +4059,5 @@
           
 !!! jyg le 07/02/2012
-       IF (iflag_split .eq.0) THEN
+       IF (iflag_split ==0) THEN
         DO nsrf = 1, nbsrf
          DO i = 1, klon          
@@ -4381,5 +4381,5 @@
                 mfois(nsrf) = mfois(nsrf) + 1
                 ! F. Codron sensible default values for ocean and sea ice
-                IF (nsrf.EQ.is_oce) THEN
+                IF (nsrf==is_oce) THEN
                    tsurf(i,nsrf) = 271.35
                    ! (temperature of sea water under sea ice, so that
@@ -4402,5 +4402,5 @@
                       dt_ns(i) = 0.
                    end if
-                ELSE IF (nsrf.EQ.is_sic) THEN
+                ELSE IF (nsrf==is_sic) THEN
                    tsurf(i,nsrf) = 271.35
                    ! (Temperature at base of sea ice. Surface
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phyredem.F90	(revision 5082)
@@ -99,5 +99,5 @@
   tab_cntrl(6) = nbapp_rad
 
-  IF( iflag_cycle_diurne.GE.1 ) tab_cntrl( 7 ) = iflag_cycle_diurne
+  IF( iflag_cycle_diurne>=1 ) tab_cntrl( 7 ) = iflag_cycle_diurne
   IF(   soil_model ) tab_cntrl( 8 ) = 1.
   IF(     new_oliq ) tab_cntrl( 9 ) = 1.
@@ -134,5 +134,5 @@
     ! Get last fractions from slab ocean
     IF (type_ocean == 'slab' .AND. version_ocean == "sicINT") THEN
-        WHERE (1.-zmasq(:).GT.EPSFRA)
+        WHERE (1.-zmasq(:)>EPSFRA)
             pctsrf(:,is_oce)=(1.-fsic(:))*(1.-zmasq(:))
             pctsrf(:,is_sic)=fsic(:)*(1.-zmasq(:))
@@ -362,5 +362,5 @@
     ! Restart variables for Slab ocean
     IF (type_ocean == 'slab') THEN
-        IF (nslay.EQ.1) THEN
+        IF (nslay==1) THEN
           CALL put_field(pass,"tslab", "Slab ocean temperature", tslab)
         ELSE
Index: /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5081)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmd/phys_output_mod.F90	(revision 5082)
@@ -352,9 +352,9 @@
 
        ! Calculate ecrit_files for all files
-      IF ( chtimestep(iff).eq.'Default' ) THEN
+      IF ( chtimestep(iff)=='Default' ) THEN
           ! Par defaut ecrit_files = (ecrit_mensuel ecrit_jour ecrit_hf
           ! ...)*86400.
           ecrit_files(iff)=ecrit_files(iff)*86400.
-      ELSE IF (chtimestep(iff).eq.'-1') THEN
+      ELSE IF (chtimestep(iff)=='-1') THEN
           PRINT*,'ecrit_files(',iff,') < 0 so IOIPSL work on different'
           PRINT*,'months length'
@@ -382,5 +382,5 @@
       ENDIF
 
-      IF (iff.LE.6.OR.iff.EQ.10) THEN
+      IF (iff<=6.OR.iff==10) THEN
         CALL wxios_add_vaxis("presnivs", &
               levmax(iff) - levmin(iff) + 1, presnivs(levmin(iff):levmax(iff)))
@@ -441,12 +441,12 @@
              DO i=1,nbp_lon
                 WRITE(lunout,*)'io_lon(i)=',io_lon(i)
-                IF (io_lon(i).le.phys_out_lonmin(iff)) imin_ins=i
-                IF (io_lon(i).le.phys_out_lonmax(iff)) imax_ins=i+1
+                IF (io_lon(i)<=phys_out_lonmin(iff)) imin_ins=i
+                IF (io_lon(i)<=phys_out_lonmax(iff)) imax_ins=i+1
              ENDDO
 
              DO j=1,jjmp1
                 WRITE(lunout,*)'io_lat(j)=',io_lat(j)
-                IF (io_lat(j).ge.phys_out_latmin(iff)) jmax_ins=j+1
-                IF (io_lat(j).ge.phys_out_latmax(iff)) jmin_ins=j
+                IF (io_lat(j)>=phys_out_latmin(iff)) jmax_ins=j+1
+                IF (io_lat(j)>=phys_out_latmax(iff)) jmin_ins=j
              ENDDO
 
@@ -484,5 +484,5 @@
 
 #ifndef CPP_IOIPSL_NO_OUTPUT 
-          IF (iff.LE.6.OR.iff.EQ.10) THEN
+          IF (iff<=6.OR.iff==10) THEN
              CALL histvert(nid_files(iff), "presnivs", "Vertical levels", "Pa", &  
                levmax(iff) - levmin(iff) + 1, &
